머지 리퀘스트 컨텍스트 커밋 API
GitLab의 머지 리퀘스트 컨텍스트 커밋에 대한 REST API 문서.
머지 리퀘스트가 이전 머지 리퀘스트를 기반으로 하는 경우 컨텍스트를 위해 머지 리퀘스트에 이전에 머지된 커밋 포함 이 필요할 수 있습니다. 이 API를 사용하여 더 많은 컨텍스트를 위해 머지 리퀘스트에 커밋을 추가합니다. 머지 리퀘스트의 컨텍스트 커밋 목록 조회 # 단일 머지 리퀘스트의 컨텍스트 커밋을 나열합니다. GET /projects/:id/merge_requests/:merge_request_iid/context_commits 매개변수: 속성 유형 필수 여부 설명 id 정수 예 프로젝트의 ID 또는 URL 인코딩된 경로 . merge_request_iid 정수 예 머지 리퀘스트의 내부 ID. 요청 예시: curl --request GET --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/projects/15/merge_requests/12/context_commits" 응답 예시: [ { "id" : "4a24d82dbca5c11c61556f3b35ca472b7463187e" , "short_id" : "4a24d82d" , "created_at" : "2017-04-11T10:08:59.000Z" , "parent_ids" : null , "title" : "Update README.md to include usage in testing and development" , "message" : "Update README.md to include usage in testing and development" , "author_name" : "Example User" , "author_email" : "user@example.com" , "authored_date" : "2017-04-11T10:08:59.000Z" , "committer_name" : "Example User" , "committer_email" : "user@example.com" , "committed_date" : "2017-04-11T10:08:59.000Z" , "trailers" : { } , "extended_trailers" : null , "web_url" : "https://gitlab.example.com/example/project/-/commit/4a24d82dbca5c11c61556f3b35ca472b7463187e" , "author" : { "id" : 1 , "username" : "example" , "public_email" : null , "name" : "Example User" , "state" : "active" , "locked" : false , "avatar_url" : "https://www.gravatar.com/avatar/e64c7d89f26bd1972efa854d13d7dd61?s=80&d=identicon" , "web_url" : "https://gitlab.example.com/ex